## Bsoft program

# bmodsel

### Usage: bmodsel [options] in1.star [in2.star...]

Selects and manipulates models and components.
Selection syntax: #model_id ^model_type_id @component_id %component_type_id #model_id@component_id #model_id%component_type_id ^model_type_id@component_id ^model_type_id%component_type_id wild cards allowed: .

### Actions for preparation:

-all | Reset selection to all components before other selections.
-merge | Merge models in different files rather than concatenate.
-invert | Inverts selection.

### Selections:

-select #Mod1@14 | Select models and components.
-group 3 | Select components with this selection flag number.
-number 24,36 | Select models based on the number of components.
-sets 20,1 | Generate sets of this size of selected components,
| with a flag not to select across model boundaries.
-closed order,3 | Select models based on valency (valency,) or polygon order (order,).
-fullerene | Select fullerene type models.
-nonfullerene | Select non-fullerene type models.
-fom 0.25 | Select: FOM cutoff.
-fraction 0.6 | Select: FOM/FOMmax ratio cutoff.
-rank 5 | Select: Rank components into a number of groups.
-prune fom | Type of pruning: simple, fom, similar, large.
-minradius 70 | Distance criterion for minimal allowed distance from the origin.
-maxradius 180 | Distance criterion for maximal allowed distance from the origin.
-delete | Delete non-selected models and components.

### Actions for finishing:

-reset | Reset selection to all components after other operations.

### Parameters:

-verbose 7 | Verbose output.
-distance 12.8 | Distance criterion for pruning or overlap (default 10 angstrom).

### Input:

-parameters param.star | Input parameter file.
-overlap file.star | Deselect components that overlap with this model (use with -distance).
-mask mask.pif | Select components only within the mask.

### Output:

-output file.star | Output model parameter file.
-FOM histogram.ps | Postscript output with component FOM distributions.

Bsoft version 2.0.3-20180917 (64 bit)